ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

BufWrite

# Documentation

data BufHandle Source #

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle Source #

bPutChar :: BufHandle -> Char -> IO () Source #

bPutStr :: BufHandle -> String -> IO () Source #

bPutFS :: BufHandle -> FastString -> IO () Source #

bPutFZS :: BufHandle -> FastZString -> IO () Source #

bPutLitString :: BufHandle -> LitString -> Int -> IO () Source #

bFlush :: BufHandle -> IO () Source #